---
contrib_package_information: 1.0
# update_type added in by SL
update_type: enhancement

package: spl

licence: GPL

submitted_by:
    - name:  Chris Brown
      email: christopher.brown@med.ge.com
      primary_contact: Yes

    - name:  Dave Kraus
      email: Dave.Kraus@ge.com
      primary_contact: No

    - name:  Jonathan Schaaf
      email: jonathan.P.schaaf@ge.com
      primary_contact: No

    - name:  Jim Foris
      email: jim.foris@med.ge.com
      primary_contact: No

project_page: http://zfsonlinux.org

project_code: https://github.com/zfsonlinux/spl

release_date: 08/23/2013

release_announcement: https://groups.google.com/a/zfsonlinux.org/forum/#!topic/zfs-announce/DOAuSF7kjsU

production_ready: Yes

explanation_of_hosting: >
    ZFS on Linux (ZOL) is currently manually added to HELiOS (Healthcare Enterprise Linux Operating System).
    HELiOS is a spin of Scientific Linux created and maintained by the GE Healthcare Compute Systems team (CST).
    HELiOS strives to be as upstream as possible thus including ZOL into SL helps us better maintain upstream 
    purity in HELiOS.
    Including ZOL in SL also allows the rest of the SL community to benefit from our work with ZOL.

release_description: >
    I'm happy to announce the spl/zfs-0.6.2 release is available for 
    download.  We had a record 38 contributors for this release and I'd like 
    to thank them and everyone else working to improve ZFS on Linux! 

    New Features: 
    * Added Linux 3.11 compatibility 
    * Added arcstat.py script from FreeNAS 
    * Added 'zpool labelclear' command from FreeBSD 
    * Added L2ARC compression from Illumos 
    * Added I/O deadman thread from Illumos 
    * Added SEEK_DATA/SEEK_HOLE to lseek()/llseek() 
    * Added writeable arc+l2arc module options 
    * Improved detection of advanced format (AF) disks 
    * Improved N-way mirror read performance 
    * Improved zdb to display SA xattrs 

    Bug Fixes: 
    * Fixed missing zvols on import 
    * Fixed setting lower ashift with '-o ashift' 
    * Fixed xattr error handling 
    * Fixed kernel stack overflows 
    * Fixed spinning arc_adapt process 
    * Fixed spinning in iterate_supers_type() on unmount 
    * Fixed read-only pool unmount hang 
    * Fixed txg_quiesce deadlock 
    * Fixed .zfs/snapshot unmount deadlock 
    * Fixed zfs_readdir() returns type and offset 
    * Fixed SA based xattrs on symlinks 
    * Fixed zpool_read_label() so it reads all labels 
    * Fixed mount flags leaking in to the kernel 
    * Fixed panic in arc_read() 
    * Fixed panic in zfs_sb_teardown()/zfs_resume_fs() 
    * Fixed ARC caching freed blocks from Illumos 
    * Fixed slow space map condensing from Illumos 
    * Fixed taskq contention from Illumos 

security_update: No
fixed_bugs: No
fixed_cves: No

rpms:
    - SL6_SRPMS:
        - spl-0.6.2-1.el6.src.rpm
    - SL6_x86_64:
        - spl-0.6.2-1.el6.x86_64.rpm
    - SL6_debuginfo:
        - spl-debuginfo-0.6.2-1.el6.x86_64.rpm

